[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.DoGetOwnerData

Performs actions needed to get list item data when OwnerData is True.

## Declaration

Source position: comctrls.pp line 1559

`protected procedure TCustomListView.DoGetOwnerData(`
`Item: TListItem`
`); virtual;`

## Arguments

`Item` |  | List item updated in the method.

## Description

Signals the OnData event handler (when assigned) to get the data for a list item. Properties in Item should be updated in the event handler with the values for the list item.

DoGetOwnerData is called when the internal TOwnerDataListItem instance in the control loads its value(s) by signalling the OnData event handler in the control.